ClassAuditingData (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata.reader
Class ClassAuditingData

    java.lang.Object
      org.hibernate.envers.configuration.metadata.reader.ClassAuditingData

All Implemented Interfaces:
  AuditedPropertiesHolder

    public class ClassAuditingData

extends Object
implements AuditedPropertiesHolder

Constructor Summary
`ClassAuditingData()`

Method Summary
`void` | `addPropertyAuditingData(String propertyName, PropertyAuditingData auditingData)` Add an audited property.
`boolean` | `contains(String propertyName)`
`AuditTable` | `getAuditTable()`
`PropertyAuditingData` | `getPropertyAuditingData(String propertyName)`
`Iterable<String>` | `getPropertyNames()`
`Map<String,String>` | `getSecondaryTableDictionary()`
`boolean` | `isAudited()`
`boolean` | `isEmpty()`
`void` | `setAuditTable(AuditTable auditTable)`
`void` | `setDefaultAudited(boolean defaultAudited)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAuditingData

    public ClassAuditingData()

Method Detail

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `AuditedPropertiesHolder`
  Returns:
    true if the holder contains any audited property

### addPropertyAuditingData

    public void addPropertyAuditingData(String propertyName,
                                        PropertyAuditingData auditingData)

  Description copied from interface: `AuditedPropertiesHolder`
  Add an audited property.

  Specified by:
    `addPropertyAuditingData` in interface `AuditedPropertiesHolder`
  Parameters:
    `propertyName` - Name of the audited property.
    `auditingData` - Data for the audited property.

### getPropertyAuditingData

    public PropertyAuditingData getPropertyAuditingData(String propertyName)

  Specified by:
    `getPropertyAuditingData` in interface `AuditedPropertiesHolder`
  Parameters:
    `propertyName` - Name of a property.
  Returns:
    Auditing data for the property.

### getPropertyNames

    public Iterable<String> getPropertyNames()

### getSecondaryTableDictionary

    public Map<String,String> getSecondaryTableDictionary()

### getAuditTable

    public AuditTable getAuditTable()

### setAuditTable

    public void setAuditTable(AuditTable auditTable)

### setDefaultAudited

    public void setDefaultAudited(boolean defaultAudited)

### isAudited

    public boolean isAudited()

### contains

    public boolean contains(String propertyName)

  Specified by:
    `contains` in interface `AuditedPropertiesHolder`
  Returns:
    true if the holder contains the given audited property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.